services:
    nordmind_system_foundation.config.roles:
        public: false
        class: Nordmind\SystemFoundation\Application\Configuration\RolesConfiguration
        arguments:
            - 'see: NordmindSystemFoundationExtension'
            - 'see: NordmindSystemFoundationExtension'
            - 'see: NordmindSystemFoundationExtension'

    nordmind_system_foundation.config.frontend:
        public: false
        class: Nordmind\SystemFoundation\Application\Configuration\FrontendConfiguration
        arguments:
            - 'see: NordmindSystemFoundationExtension'

    nordmind_system_foundation.application:
            public: true
            class: Nordmind\SystemFoundation\Application\Application
            arguments:
                - 'see: NordmindSystemFoundationExtension'
                - '@nordmind_system_foundation.config.frontend'
                - '@nordmind_system_foundation.config.roles'
